package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.RecordOut;
import org.springframework.stereotype.Repository;
/**
 * 轮挡出库记录Mapper接口
 *
 * @author wangh
 * @date 2024-01-18
 */
@Repository
public interface RecordOutMapper
{
    /**
     * 查询轮挡出库记录
     *
     * @param objid 轮挡出库记录主键
     * @return 轮挡出库记录
     */
    public RecordOut selectRecordOutByObjid(Long objid);

    /**
     * 查询轮挡出库记录列表
     *
     * @param recordOut 轮挡出库记录
     * @return 轮挡出库记录集合
     */
    public List<RecordOut> selectRecordOutList(RecordOut recordOut);

    /**
     * 新增轮挡出库记录
     *
     * @param recordOut 轮挡出库记录
     * @return 结果
     */
    public int insertRecordOut(RecordOut recordOut);

    /**
     * 修改轮挡出库记录
     *
     * @param recordOut 轮挡出库记录
     * @return 结果
     */
    public int updateRecordOut(RecordOut recordOut);

    /**
     * 删除轮挡出库记录
     *
     * @param objid 轮挡出库记录主键
     * @return 结果
     */
    public int deleteRecordOutByObjid(Long objid);

    /**
     * 批量删除轮挡出库记录
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordOutByObjids(String[] objids);
}
